# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Classes | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
DBus::Server Class Referenceabstract

`#include <server.h>`

## Classes

struct | Private

## Public Member Functions

| Server (const char *address)
Dispatcher * | setup (Dispatcher *)
virtual | ~Server ()
bool | listening () const
bool | operator== (const Server &) const
void | disconnect ()

## Protected Member Functions

| Server (const Server &s)
virtual void | on_new_connection (Connection &c)=0

## Private Attributes

RefPtrI< Private > | _pvt

## Detailed Description

Definition at line 43 of file server.h.

## Constructor & Destructor Documentation

## ◆ Server() [1/2]

Server::Server | ( | const char * | address | ) |

Definition at line 60 of file server.cpp.

References _pvt, DBus::debug_log, DBus::default_dispatcher, DBus::Server::Private::on_new_conn_cb(), and setup().

Referenced by DBus::Server::Private::on_new_conn_cb(), operator==(), and Server().

## ◆ ~Server()

Server::~Server | ( |  | ) |

virtual

Definition at line 82 of file server.cpp.

References _pvt.

## ◆ Server() [2/2]

DBus::Server::Server | ( | const Server & | s | ) |

inline protected

Definition at line 63 of file server.h.

References Server().

## Member Function Documentation

## ◆ disconnect()

void Server::disconnect | ( |  | ) |

Definition at line 125 of file server.cpp.

References _pvt.

## ◆ listening()

bool Server::listening | ( |  | ) | const

Definition at line 121 of file server.cpp.

References _pvt.

## ◆ on_new_connection()

virtual void DBus::Server::on_new_connection | ( | Connection & | c | ) |

protected pure virtual

Referenced by DBus::Server::Private::on_new_conn_cb().

## ◆ operator==()

bool Server::operator== | ( | const Server & | s | ) | const

Definition at line 116 of file server.cpp.

References _pvt, and Server().

## ◆ setup()

Dispatcher * Server::setup | ( | Dispatcher * | dispatcher | ) |

Definition at line 87 of file server.cpp.

References _pvt, DBus::debug_log, DBus::Dispatcher::Private::on_add_timeout(), DBus::Dispatcher::Private::on_add_watch(), DBus::Dispatcher::Private::on_rem_timeout(), DBus::Dispatcher::Private::on_rem_watch(), DBus::Dispatcher::Private::on_toggle_timeout(), and DBus::Dispatcher::Private::on_toggle_watch().

Referenced by Server().

## Member Data Documentation

## ◆ _pvt

RefPtrI<Private> DBus::Server::_pvt

private

Definition at line 70 of file server.h.

Referenced by disconnect(), listening(), DBus::Server::Private::on_new_conn_cb(), operator==(), Server(), setup(), and ~Server().

The documentation for this class was generated from the following files:

- server.h
- server.cpp